"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**Descarga un Blob*/
function download(data, filename) {
    var a = document.createElement("a");
    a.style.display = "none";
    document.body.appendChild(a);
    var url = window.URL.createObjectURL(data);
    a.href = url;
    a.download = filename;
    a.click();
    window.URL.revokeObjectURL(url);
    document.body.removeChild(a);
}
exports.download = download;
