/// <reference types="react" />
import React = require("react");
import * as rx from "rxjs";
export interface FormFieldProps {
    /**Contenido del label */
    label?: string | JSX.Element;
    /**True para mostrar el campo con un error */
    error?: boolean | string | rx.Observable<boolean | string | undefined> | PromiseLike<boolean | string | undefined>;
    children: JSX.Element | null | false;
}
/**Un campo de una ventana con un label y un hijo de edición */
export declare class FormField extends React.PureComponent<FormFieldProps, {}> {
    render(): JSX.Element | (false & {}) | null;
}
