/// <reference types="react" />
import React = require("react");
import { CellData, GridDataFormat, ColumnaProps } from "./tipos";
export declare class GridCellComponent extends React.PureComponent<{
    data: CellData;
    format?: GridDataFormat;
}, {}> {
    render(): JSX.Element;
}
/**Controles de las cabeceras del grid */
export declare class GridCellControls extends React.PureComponent<ColumnaProps, {}> {
    render(): JSX.Element;
}
export declare class GridHeaderComponent extends React.PureComponent<ColumnaProps & {
    titulo: string;
}, {}> {
    render(): JSX.Element;
}
