"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var botones_1 = require("../../botones");
var GridColumnButtons = /** @class */ (function (_super) {
    __extends(GridColumnButtons, _super);
    function GridColumnButtons() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GridColumnButtons.prototype.render = function () {
        var props = this.props;
        return (React.createElement("span", { style: { opacity: this.props.showButtons ? 1 : 0 } },
            props.orden &&
                React.createElement(botones_1.Link, { onClick: props.onOrdenar, style: "info", iconClass: "fa fa-sort-" + props.orden }),
            props.puedeFiltrar &&
                React.createElement(botones_1.Link, { style: props.estaFiltrado ? "info" : undefined, iconClass: "fa fa-filter", onClick: props.onFiltrar }),
            props.onQuitar &&
                React.createElement(botones_1.Link, { style: "danger", iconClass: "fa fa-times", onClick: props.onQuitar })));
    };
    return GridColumnButtons;
}(React.PureComponent));
var thStyle = { whiteSpace: "nowrap", cursor: "pointer" };
var GridColumnComponent = /** @class */ (function (_super) {
    __extends(GridColumnComponent, _super);
    function GridColumnComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.state = { visible: false };
        return _this;
    }
    GridColumnComponent.prototype.render = function () {
        var _this = this;
        var props = this.props;
        return (React.createElement("th", { style: thStyle, onMouseEnter: function () { return _this.setState({ visible: true }); }, onMouseLeave: function () { return _this.setState({ visible: false }); } },
            React.createElement("span", null,
                React.createElement("span", { onClick: this.props.puedeOrdenar ? this.props.onOrdenar : undefined }, this.props.titulo),
                React.createElement(GridColumnButtons, __assign({}, this.props, { showButtons: this.state.visible })))));
    };
    return GridColumnComponent;
}(React.PureComponent));
exports.GridColumnComponent = GridColumnComponent;
