/// <reference types="react" />
import React = require("react");
import { Grid2State } from "../simpleGrid/gridState";
import { ObjMap } from "keautils";
export interface Props {
    /**Titulos de todas las columnas que se estan mostrando, en el orden original */
    columnas: ObjMap<string>;
    state: Grid2State;
    onStateChange: (value: Grid2State) => void;
    show: boolean;
    onClose: () => void;
}
export declare class MappingComponent extends React.PureComponent<Props> {
    private handleOnMappingChange;
    render(): JSX.Element | null;
}
