/// <reference types="react" />
import React = require("react");
import { Grid2Column } from "../simpleGrid/column";
import { Key } from "../simpleGrid/baseTypes";
import { ItemRowData } from "../simpleGrid/tiposFiltros";
export interface Props<TItem, TShared> {
    value: ItemRowData<TItem>;
    sharedValue?: TShared;
    columns: Grid2Column<TItem, TShared>[];
    onDrillDown: (column: Key, path: (string | number)[]) => void;
}
/**Una fila del grid */
export declare class GridRow extends React.PureComponent<Props<any, any>> {
    render(): JSX.Element;
}
