export interface Mail {
    /**Recipientes To */
    to: string[];
    /**Recipientes CC */
    cc?: string[];
    /**Recipientes BCC */
    bcc?: string[];
    subject?: string;
    body?: string;
}
export declare function generateMailtoLink(mail: Mail): string;
/**
 * Envia un correo utilizando la directiva mailto
 * @param mail Correo que se desea enviar
 */
export declare function mailto(mail: Mail): void;
