/// <reference types="react" />
export interface NavBarLink {
    content: JSX.Element | string | null;
    light?: boolean;
    selected?: boolean;
    onClick?: () => void;
    visible?: boolean;
    items?: NavBarLink[];
    borderless?: boolean;
}
export declare type NavBarItem = NavBarLink;
export declare const dark = "linear-gradient(rgba(4,80,154, 1),rgba(3,55,105, 1))";
export declare const light = "linear-gradient(#fdfdfd, #e8e8e8)";
export declare const darkHover = "rgba(3,40,80, 1)";
export declare const darkSelected = "#000000";
export declare const lightHover = "#fbfbfb";
export declare const lightSelected = "#ffffff";
