/// <reference types="react" />
export declare type ColumnDefinition<props> = [string | JSX.Element, (x: props, key: string | number) => (string | number | JSX.Element)];
/**Devuelve el elemento de una cabecera de una tabla dada la definicion de las columnas */
export declare function HeaderFromColumns(definition: ColumnDefinition<any>[]): JSX.Element[];
/**Devuelve las celdas que forman a la fila de una tabla*/
export declare function RowFromColumns<TProps>(definition: ColumnDefinition<TProps>[], props: TProps): JSX.Element[];
