"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
function wrapJSX(value, wrap) {
    if (typeof (value) == "string" || typeof (value) == "number" || value == null) {
        return wrap(value);
    }
    else {
        return value;
    }
}
function wraptd(value, key) {
    return wrapJSX(value, function (x) { return React.createElement("td", { key: key }, x); });
}
function wrapth(value, key) {
    return wrapJSX(value, function (x) { return React.createElement("th", { key: key }, x); });
}
/**Devuelve el elemento de una cabecera de una tabla dada la definicion de las columnas */
function HeaderFromColumns(definition) {
    return definition.map(function (x, i) { return wrapth(x[0], i); });
}
exports.HeaderFromColumns = HeaderFromColumns;
//TODO: Hay que memoizar esta función:
/**Devuelve las celdas que forman a la fila de una tabla*/
function RowFromColumns(definition, props) {
    return definition.map(function (x) { return x[1]; }).map(function (x, i) { return x(props, i); }).map(wraptd);
}
exports.RowFromColumns = RowFromColumns;
