/// <reference types="react" />
export interface ComponentProps {
    label?: string;
    isReadOnly?: boolean;
    error?: boolean;
    required?: boolean;
}
export declare function simpleFields<TValue>(value: TValue, handleChange: <TKey extends keyof TValue>(field: TKey) => (value: TValue[TKey]) => void): {
    text: (field: keyof TValue, props?: (ComponentProps & {
        tip?: string | undefined;
    }) | undefined) => JSX.Element;
    datetime: (field: keyof TValue, props?: ComponentProps | undefined) => JSX.Element;
    timespan: (field: keyof TValue, props?: ComponentProps | undefined) => JSX.Element;
    daytime: (field: keyof TValue, props?: ComponentProps | undefined) => JSX.Element;
    date: (field: keyof TValue, props?: ComponentProps | undefined) => JSX.Element;
    number: (field: keyof TValue, props?: ComponentProps | undefined) => JSX.Element;
    check: (field: keyof TValue, props?: ComponentProps | undefined) => JSX.Element;
};
