export declare type TreeKey = number | string;
export declare type TreePath = TreeKey[];
/**Representa una estructura de arbol */
export interface Tree<T> {
    /**Clave de la rama única en la colección padre, no es necesario que sea única en todo el arbol */
    key: TreeKey;
    /**Valor de la rama */
    value: T;
    /**Sub elementos de esta rama del arbol */
    children?: Tree<T>[];
}
