import React = require('react');

export interface CardProps {
    Header?: React.ReactNode;
    Footer?: React.ReactNode;
}

/**Una tarjeta con material design. Los hijos del componente seran dibujados adentro de la tarjeta */
export class Card extends React.Component<CardProps, {}> {
    render() {
        return (
            <div className="alert alert-info">
                {
                    this.props.Header &&
                    <strong>
                        {this.props.Header} {" "}
                    </strong>
                }
                {this.props.children}
            </div>);
    }
}