/// <reference types="react" />
import React = require("react");
export interface HourMinuteProps {
    hours: number | null;
    minutes: number | null;
    onChange: (value: {
        hours: number | null;
        minutes: number | null;
    }) => void;
    min?: number;
    max?: number;
    readonly?: boolean;
}
export declare class HourMinuteComponent extends React.PureComponent<HourMinuteProps> {
    render(): JSX.Element;
}
export interface Props {
    /**Cantidad de horas seleccionadas */
    value: number | null;
    onChange?: (value: number | null) => void;
    label?: string;
    error?: boolean;
    /**Valor minimo de las horas. Default es 0 */
    min?: number;
    /** */
    /**Valor máximo de las horas. Default es 24 */
    max?: number;
    readonly?: boolean;
}
export declare class Hours extends React.PureComponent<Props> {
    private handleOnChange;
    render(): JSX.Element;
}
