/// <reference types="react" />
import React = require("react");
import { Grid2State } from "../simpleGrid/gridState";
import { ObjMap } from "keautils";
export interface GridBusquedaProps {
    value: Grid2State;
    onChange: (value: Grid2State) => void;
    /**Cuando el usuario desea generar un CSV */
    onExpotar: () => Promise<void>;
    /**Nombres de todas las columnas efectivas, en el orden original */
    columnas: ObjMap<string>;
}
export interface State {
    showMappingModal: boolean;
    showExportarModal: boolean;
}
/**Compoonente que muestra el texto de búsqueda y el botón para descargar CSV */
export declare class GridBusquedaComponent extends React.PureComponent<GridBusquedaProps, State> {
    constructor(props: any);
    private handleBusquedaChange;
    private handleOnExportChange;
    render(): JSX.Element;
}
