/// <reference types="react" />
import React = require("react");
export declare type DialogResult = (string | number)[] | null;
export interface DrillObjectProps {
    value: any;
    show: boolean;
    /**Se lanza cuando el usuario cierra el modal o cuando selecciona una propiedad del objeto*/
    onCerrar: (result: DialogResult) => void;
}
export declare class DrillObjectComponent extends React.PureComponent<DrillObjectProps> {
    private handleOnCerrar;
    private handleOnDrill;
    render(): JSX.Element | null;
}
