/// <reference types="react" />
import * as React from "react";
import { CollapsedType } from "./treeState";
import { TreePath } from "./types";
export interface RowComponentProps {
    key: string;
    value: any;
    path: TreePath;
    level: number;
    collapsed: CollapsedType;
    onCollapsedChange: (value: boolean) => void;
}
/**Dibuja una fila del arbol. El contenido de la fila será el contenido  */
export declare class TreeRowComponent extends React.PureComponent<RowComponentProps> {
    render(): JSX.Element;
}
