/// <reference types="react" />
import interfaces = require("../interfaces");
import React = require("react");
export interface DateTimeState {
    stringValue: string;
}
export interface DateTimeProps extends interfaces.FormEditProps<Date | string | null, Date | null> {
    /**True para mostrar tambien el selector de la hora */
    time?: boolean;
}
/**Selector de fecha y hora */
export declare class DateTime extends React.PureComponent<DateTimeProps, {}> {
    handleChange: (value: any) => void;
    private handleHourChange;
    private readonly dateValue;
    render(): JSX.Element;
}
