/// <reference types="react" />
import * as React from "react";
export interface Props {
    value?: string;
    onChange?: (value: string) => void;
    className?: string;
    disabled?: boolean;
    style?: React.CSSProperties;
    type?: string;
    placeholder?: string;
    multiline?: boolean;
    onFocus?: () => void;
    onBlur?: () => void;
    onKeyPress?: (ev: React.KeyboardEvent<HTMLInputElement>) => void;
    selectAllOnFocus?: boolean;
    onEnter?: () => void;
}
export declare class SlowInput extends React.PureComponent<Props> {
    private handleKeyPress;
    handleOnChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    render(): React.DetailedReactHTMLElement<any, HTMLElement>;
}
