/// <reference types="react" />
import React = require("react");
import interfaces = require("../interfaces");
/**Un campo de texto */
export declare class Text extends React.PureComponent<interfaces.AsyncFormEditProps<string | undefined | null, string> & {
    addon?: JSX.Element | string;
    placeholder?: string;
    multiline?: boolean;
    disableFastInput?: boolean;
}, {}> {
    render(): JSX.Element;
}
export interface NumberInputProps extends interfaces.FormEditProps<number | undefined | null, number> {
    format?: "decimal" | "int" | "currency" | "percentage" | "int-2-digit";
    placeholder?: string;
    min?: number;
    max?: number;
}
/**Un campo numérico */
export declare class Number extends React.PureComponent<NumberInputProps, {}> {
    render(): JSX.Element;
}
/**Un campo de contraseña */
export declare class Password extends React.PureComponent<interfaces.FormEditProps<string | undefined | null, string> & {
    addon?: JSX.Element | string;
}, {}> {
    render(): JSX.Element;
}
