/// <reference types="react" />
import React = require("react");
import { GridColumnEx, GridRow, filtroKind, Filtro, FiltroColumna, DataTypes } from "./tipos";
/**Obtiene un arreglo con los tipos de filtros adecuados segun la información, el arreglo tiene un elemento por cada celda */
export declare function obtenerTiposFiltro(tiposColumnas: DataTypes[]): (filtroKind | null)[];
/**Agrega un nuevo filtro a un filtro columna, devuelve el nuevo arreglo de filtro columna */
export declare function crearFiltro(tipoFiltro: filtroKind): Filtro;
export interface FiltroListProps {
    value: FiltroColumna[];
    onChange?: (x: FiltroColumna[]) => void;
    filas: GridRow[] | PromiseLike<GridRow[]>;
    columnas: GridColumnEx[];
}
export declare class FiltroListComponent extends React.PureComponent<FiltroListProps, {}> {
    private handleOnChange;
    private handleQuitar;
    render(): JSX.Element | null;
}
