"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var jsonview = require("../../../jsonview/index");
var modal_1 = require("../../../modal");
var DrillObjectComponent = /** @class */ (function (_super) {
    __extends(DrillObjectComponent, _super);
    function DrillObjectComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleOnCerrar = function () { return _this.props.onCerrar(null); };
        _this.handleOnDrill = function (path) { return _this.props.onCerrar(path); };
        return _this;
    }
    DrillObjectComponent.prototype.render = function () {
        var props = this.props;
        return (props.show ?
            React.createElement(modal_1.Modal, { buttonsWithKey: [], onClose: this.handleOnCerrar, title: "Ver objeto" },
                React.createElement("div", { className: "row" },
                    React.createElement("div", { className: "col-md-12" },
                        React.createElement(jsonview.JsonViewComponent, { value: props.value, onPropClick: this.handleOnDrill })))) : null);
    };
    return DrillObjectComponent;
}(React.PureComponent));
exports.DrillObjectComponent = DrillObjectComponent;
