/// <reference types="react" />
import React = require("react");
import { ColumnMapping } from "../simpleGrid/gridState";
import { ObjMap } from "keautils";
export interface Props {
    /**Titulos de todas las columnas que se estan mostrando, en el orden original */
    columnas: ObjMap<string>;
    /**Mapeo de las columnas que se va a mostrar */
    value: ColumnMapping;
    onChange: (value: ColumnMapping | undefined) => void;
}
export declare class ColumnMappingComponent extends React.PureComponent<Props> {
    private value;
    private count;
    private columnas;
    /**Indices y titulos de las columnas que NO estan mapeadas */
    private columnasDisponibles;
    /**Indices y titulos de las columnas que SI estan mapeadas, en el orden de mapeo */
    private columnasAgregadas;
    private agregarColumna;
    private moverColumna;
    private quitarColumna;
    private handleTodas;
    private handleNinguna;
    render(): JSX.Element;
}
