/// <reference types="react" />
import React = require("react");
import { FiltroOrdenColumna, GetDataColumna } from "../simpleGrid/filtrarOrdenar";
import { ColumnMap } from "../simpleGrid/column";
import { Grid2State } from "../index";
import { ObjMap } from "keautils";
import { ItemRowData } from "../simpleGrid/tiposFiltros";
export interface GenericProps<T> {
    items: PromiseLike<ItemRowData<T>[]>;
    effectiveColumns: ColumnMap;
    filtroOrdenColumnas: PromiseLike<ObjMap<FiltroOrdenColumna<T> & GetDataColumna<T>>>;
    getKey?: (item: T) => string | number;
    sharedProps?: any;
    gridState: Grid2State;
    onGridStateChange: (value: Grid2State) => void;
}
export declare type Props = GenericProps<any>;
export declare class GridTableFiltro extends React.PureComponent<Props> {
    private effectiveColumns;
    private columnHeaderSelector;
    private itemsSelector;
    private filtroOrdenSelector;
    private itemsFiltroData;
    private filtroOrdenColumnsSelector;
    private itemsFiltradosSelector;
    private mapping;
    private mappedColumns;
    render(): JSX.Element;
}
