"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var fields_1 = require("../../fields/fields");
var botones_1 = require("../../botones");
var form_1 = require("../../form");
var rango_1 = require("./rango");
function filter(item, data) {
    var min = data.inicio;
    var max = data.final;
    var itemValue = item && item.valueOf && item.valueOf() || undefined;
    var itemValueNumber = typeof itemValue == "number" && itemValue || undefined;
    return rango_1.busquedaRango(min && min.valueOf(), max && max.valueOf(), itemValueNumber);
}
function FiltroRangoFechasComponent(props) {
    var x = props.value || {};
    var change = form_1.handleFormChange(function () { return props; });
    return (React.createElement("div", null,
        React.createElement("div", { className: "col-md-6" },
            React.createElement(fields_1.DateTime, { value: x.inicio, label: React.createElement("span", null,
                    React.createElement(botones_1.Link, { iconClass: "fa fa-times", onClick: props.onQuitar }),
                    " ",
                    React.createElement("label", null, props.titulo + " inicio")), onChange: change("inicio") })),
        React.createElement("div", { className: "col-md-6" },
            React.createElement(fields_1.DateTime, { value: x.final, label: props.titulo + " final", onChange: change("final") }))));
}
/**Filtro ppr rango de fechas */
exports.filtro = {
    component: FiltroRangoFechasComponent,
    filter: function (item, data) { return filter(item, data); }
};
