/// <reference types="react" />
import { Grid2Column } from "./column";
/**Le agrega un estilo a todas las celdas de un arreglo de Grid2Column. Si la celda ya define su propio estilo, este es mezclado con el estido dado por la funcion
 * rowStyle con el operador spread (...), dandole prioridad a las propiedades del estilo definido por la celda
 */
export declare function applyRowStyleToColumns<TItem, TShared>(columns: Grid2Column<TItem, TShared>[], rowStyle: (item: TItem, shared: TShared) => React.CSSProperties): Grid2Column<TItem, TShared>[];
