/// <reference types="react" />
import * as React from "react";
import { TreeState } from "../treeview/index";
export interface Props {
    /**Función que se desea ejecutar cuando el usuario de clic en una propiedad */
    onPropClick?: (path: (string | number)[]) => void;
    /**Valor que se quiere mostrar */
    value: any;
    /**Estado del tree */
    state?: TreeState;
    /**Determina cuando hac cambiado el estado del tree */
    onStateChanged?: (value: TreeState) => void;
}
export declare const initialStateTree: TreeState;
export declare const JsonViewComponent: React.ComponentClass<Props>;
