/// <reference types="react" />
import React = require('react');
import { NavBarItem } from "./interfaces";
export interface BaseNavBaseContainerProps {
    header?: NavBarItem[];
    /**Arreglo con el contenido de los items que se van a ver en el lado izquierdo de la barra */
    left?: NavBarItem[];
    /**Arreglo con el contenido de los items que se van a ver en el lado derecho de la barra */
    right?: NavBarItem[];
    height: number;
}
export interface NavBarContainerProps extends BaseNavBaseContainerProps {
    collapsed?: boolean;
}
export declare class NavBarContainer extends React.Component<NavBarContainerProps, {}> {
    render(): JSX.Element;
}
