/// <reference types="react" />
import React = require('react');
import { NavBarItem } from "./interfaces";
export { NavBarItem } from "./interfaces";
export interface NavBarProps {
    header?: NavBarItem[];
    /**Arreglo con el contenido de los items que se van a ver en el lado izquierdo de la barra */
    left?: NavBarItem[];
    /**Arreglo con el contenido de los items que se van a ver en el lado derecho de la barra */
    right?: NavBarItem[];
    height?: number;
    collapsedWidth?: number;
}
/**Una barra de navegación, enciere en un div con márgenes negativos para ajustar a la página */
export declare class NavBar extends React.Component<NavBarProps, {
    collapsed: boolean;
}> {
    constructor(props: any);
    componentWillMount(): void;
    componentWillUnmount(): void;
    private handleResize;
    render(): JSX.Element;
}
