"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var bars_1 = require("./bars");
/**Una barra de navegación, enciere en un div con márgenes negativos para ajustar a la página */
var NavBar = /** @class */ (function (_super) {
    __extends(NavBar, _super);
    function NavBar(props) {
        var _this = _super.call(this, props) || this;
        _this.handleResize = function () {
            _this.setState({ collapsed: (document.documentElement.clientWidth < (_this.props.collapsedWidth || 768)) });
        };
        _this.state = { collapsed: false };
        return _this;
    }
    NavBar.prototype.componentWillMount = function () {
        window.addEventListener("resize", this.handleResize);
        this.handleResize();
    };
    NavBar.prototype.componentWillUnmount = function () {
        window.removeEventListener("resize", this.handleResize);
    };
    NavBar.prototype.render = function () {
        return React.createElement(bars_1.NavBarContainer, __assign({}, __assign({}, this.props, { height: this.props.height || 36 }), { collapsed: this.state.collapsed }));
    };
    return NavBar;
}(React.Component));
exports.NavBar = NavBar;
