/// <reference types="react" />
import * as React from "react";
import { Tree, TreePath } from "./types";
import { TreeState } from "./treeState";
export interface GenericProps<T> {
    value: Tree<T>[];
    state: TreeState;
    onStateChange: (value: TreeState) => void;
    rowRenderer: (value: T, path: TreePath) => React.ReactNode;
}
export declare type Props = GenericProps<any>;
export declare class TreeComponent extends React.PureComponent<Props> {
    private collapsedPathSelector;
    private treeSelector;
    private treeRowsSelector;
    private stateSelector;
    private onStateChangeSelector;
    private handleOnCollapsedChageSelector;
    private handleOnItemCollapsedChangeSelector;
    private treeRowPropsSelector;
    private rowRendererSelector;
    private treeRowComponentsSelector;
    render(): JSX.Element;
}
