import React = require('react');

/**Spinner de cargando */
export class Spinner extends React.Component<{}, {}> {
    render() {
        return <i className="fa fa-circle-o-notch fa-spin" />;
    }
}

export interface CargandoProps {
    /**Diferente de null para mostrar un error */
    Error?: any;
    /**True para mostrar el spinner de cargando */
    Cargando?: boolean;
}
/**Muestra un componente hijo siempre y cuando no se este cargando o exista un error */
export class Cargando extends React.Component<CargandoProps, {}> {
    render() {
        return (
            this.props.Error ?
                <label>Error: {"" + this.props.Error}</label> :
                this.props.Cargando ?
                    <Spinner /> :
                    (this.props.children as React.ReactElement<any>)
        );
    }
}