/// <reference types="react" />
import React = require("react");
import interfaces = require("../interfaces");
export interface PhoneProps extends interfaces.FormEditProps<string | undefined | null, string> {
    /**True para ocultar el segundo cuadro de texto para la extensión telefónica, esta se grabará en el value con un separador de "ext."" */
    hideExtension?: boolean;
}
export declare class Phone extends React.PureComponent<PhoneProps> {
    private handlePhoneChange;
    private handleExtChange;
    readonly parsedValue: {
        phone: string;
        ext: string;
    };
    render(): JSX.Element;
}
