/**Formatea una fecha */
export declare function FormatDate(value: Date | string | number | null | undefined): string;
export declare function FormatHours(value: number | null | undefined): string;
/**Formatea una fecha y hora*/
export declare function FormatDateTime(value: Date | string | number | null | undefined): string;
/**Formatea una cantidad de moneda*/
export declare function FormatCurrency(value: number | string | null | undefined): string;
/**Formatea un entero poniendo cierto numero de ceros */
export declare function FormatInt(value: number | string | null | undefined, zeroes: number): string;
export declare function toDate(value: Date | string): Date;
export declare function toDate<TNull extends null | undefined>(value: Date | string | TNull): Date | TNull;
/**Quita los saltos de linea y recorta una cadena*/
export declare function formatLongText(text: string, len?: number): string;
/**Pega todos los elemetnos de la lista con saltos de linea,  si la lista es de mas de maxLen elementos nos muestra al final (n elementos más) */
export declare function formatLongList(list: string[], maxLen?: number): string;
/**Formatea una fecha considerando la fecha de hoy y escribiendo el tiempo transcurrido. Ej. Justo ahora, hace 3 minutos, hace 2 semanas, hace 1 año */
export declare function FormatDateTimeFriendly(value: Date | string | null | undefined): string;
