/// <reference types="react" />
import React = require("react");
export interface ArrayCellColumn {
    title: string;
    cell: (item: any) => string;
}
export interface ArrayCellDeps {
    itemToString?: (item: any) => string;
    columns?: ArrayCellColumn[];
    separator?: string;
}
export interface Props extends ArrayCellDeps {
    value: any[] | undefined;
    string: string;
}
export interface State {
    showListModal?: boolean;
}
export declare class ArrayCell extends React.PureComponent<Props, State> {
    constructor(props: any);
    render(): JSX.Element;
}
