/// <reference types="react" />
import React = require("react");
export interface ColumnaProps {
    onOrdenar: () => void;
    /**Se llama para poner o quitar el filtro */
    onFiltrar: () => void;
    /**Se llama al quitar la columma */
    onQuitar: (() => void) | undefined;
    orden: "asc" | "desc" | undefined;
    puedeOrdenar: boolean;
    puedeFiltrar: boolean;
    /**True si la columna esta filtrada */
    estaFiltrado: boolean;
    titulo: string;
}
export declare class GridColumnComponent extends React.PureComponent<ColumnaProps, {
    visible: boolean;
}> {
    constructor(props: any);
    render(): JSX.Element;
}
