import { Link } from "../../botones";
import { Number, Text, DateTime } from "../../fields/fields";
import { GridColumnFilterComponentProps } from "../simpleGrid/tiposFiltros";
import React = require("react");
import { cellToText } from "../index";


export class FiltroInvalidoComp extends React.PureComponent<GridColumnFilterComponentProps<any, {}>>{
    render() {
        const props = this.props;
        const titulo = props.titulo;
        const label = <span><Link iconClass="fa fa-times" onClick={props.onQuitar} /> <label>{titulo}</label> <label style={{color: "red"}} >Filtro inválido</label> </span>;

        const value = (async () => {
            const items = await this.props.items;
            const first = items[0];
            return cellToText(first);
        })();
        return (
            <div>
                <Text label={label} value={value} isReadOnly={true} />
            </div>
        )
    }
}