/// <reference types="react" />
import React = require("react");
import { Grid2State } from "../simpleGrid/gridState";
import { Grid2Column } from "../simpleGrid/column";
export interface Props {
    value: Grid2State;
    onChange: (value: Grid2State) => void;
    /**Todas las columnas en el orden original */
    columnas: ColumnaHeaderMap;
}
export declare function gridColumnToColumnHeader(value: Grid2Column<any, any>): ColumnaHeader;
export interface ColumnaHeader {
    puedeFiltrar: boolean;
    titulo: string;
}
export interface ColumnaHeaderMap {
    [key: string]: ColumnaHeader;
}
export declare class GridHeaderComponent extends React.PureComponent<Props> {
    private onChangeSelector;
    private valueSelector;
    private filtroOrdenSelector;
    private onFiltroOrdenChangeSelector;
    private onColumnaChangeSelector;
    private onOrdenChangeSelector;
    private ordenSelector;
    private filtrosColumnaSelector;
    private estaFiltradaSelector;
    private getOrdenColumnaSelector;
    private onQuitarColumnMappingSelector;
    private onQuitarColumna;
    private columnasSelector;
    private mappingSelector;
    /**Columnas ordenadas con el orden establecido por el usuario */
    private columnasOrdenadasSelector;
    private columnasComponentSelector;
    private onFiltrar;
    private onOrdenar;
    render(): JSX.Element;
}
