/// <reference types="react" />
import React = require("react");
import { Paginacion } from "../simpleGrid/gridState";
export interface PageSelectorValues {
    /**Cantidad de elementos */
    itemsCount: number;
    /**Cantidad de páginas */
    pageCount: number;
    /**Página seleccionada truncada */
    selectedPage: number;
    /**Tamaño de página seleccionada */
    selectedSize: number;
    /**Tamaños de páginas disponibles para seleccionar */
    pageSizes: number[];
}
export declare function getPageValues(itemsCount: number, value: Paginacion): PageSelectorValues;
export interface PaginatorSelectorProps {
    itemsCount: number;
    value: Paginacion;
    onChange: (value: Paginacion) => void;
}
export declare class PaginatorSelector extends React.PureComponent<PaginatorSelectorProps> {
    render(): JSX.Element;
}
