import { Grid2State } from "./gridState";
import { Grid2Column } from "./column";
import { ObjMap } from "keautils";
import { CsvRow } from "../../grid/csv";
/**Genera las filas de un CSV */
export declare function generateCsvRows<T>(rows: T[] | PromiseLike<T[]>, state: Grid2State, columns: ObjMap<Grid2Column<any, any>>): Promise<CsvRow[]>;
/**Descarga el CSV del grid */
export declare function downloadCsv<T>(rows: T[] | PromiseLike<T[]>, state: Grid2State, columns: ObjMap<Grid2Column<any, any>>): Promise<void>;
