export interface NavBarLink {
    content: JSX.Element | string | null;
    light?: boolean;
    selected?: boolean;
    onClick?: () => void;
    visible?: boolean;
    items?: NavBarLink[];
    borderless?: boolean;
}

export type NavBarItem = NavBarLink;

export const dark = "linear-gradient(rgba(4,80,154, 1),rgba(3,55,105, 1))";
export const light = "linear-gradient(#fdfdfd, #e8e8e8)";

export const darkHover = "rgba(3,40,80, 1)";
export const darkSelected = "#000000";
export const lightHover = "#fbfbfb";
export const lightSelected = "#ffffff";